NamePatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class NamePatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.NamePatternConverter

Direct Known Subclasses:
  ClassNamePatternConverter, LoggerPatternConverter

    public abstract class NamePatternConverter

extends LoggingEventPatternConverter

Base class for other pattern converters which can return only parts of their name.

Author:
  Ceki Gülcü, Curt Arnold

Constructor Summary
`protected` | `NamePatternConverter(String name, String style, String[] options)` Constructor.

Method Summary
`protected void` | `abbreviate(int nameStart, StringBuffer buf)` Abbreviate name in string buffer.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamePatternConverter

    protected NamePatternConverter(String name,
                                   String style,
                                   String[] options)

  Constructor.

  Parameters:
    `name` - name of converter.
    `style` - style name for associated output.
    `options` - options, may be null, first element will be interpreted as an abbreviation pattern.

Method Detail

### abbreviate

    protected final void abbreviate(int nameStart,
                                    StringBuffer buf)

  Abbreviate name in string buffer.

  Parameters:
    `nameStart` - starting position of name to abbreviate.
    `buf` - string buffer containing name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.